diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
index 8c32025..e197d90 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_configurations/__init__.py
@@ -26,6 +26,34 @@ from pgadmin.utils.driver import get_driver
 from config import PG_DEFAULT_DRIVER
 
 
+def check_precondition(f):
+    """
+    This function will behave as a decorator which will checks
+    database connection before running view, it will also attaches
+    manager,conn & template_path properties to self
+    """
+
+    @wraps(f)
+    def wrap(*args, **kwargs):
+        # Here args[0] will hold self & kwargs will hold gid,sid,did
+        self = args[0]
+        self.manager = get_driver(PG_DEFAULT_DRIVER).connection_manager(
+            kwargs['sid'])
+        self.conn = self.manager.connection(did=kwargs['did'])
+        # If DB not connected then return error to browser
+        if not self.conn.connected():
+            return precondition_required(
+                _("Connection to the server has been lost!")
+            )
+        # we will set template path for sql scripts depending upon server version
+        ver = self.manager.version
+        if ver >= 90100:
+            self.template_path = 'fts_configuration/sql/9.1_plus'
+        return f(*args, **kwargs)
+
+    return wrap
+
+
 class FtsConfigurationModule(SchemaChildModule):
     """
      class FtsConfigurationModule(SchemaChildModule)
@@ -58,6 +86,7 @@ class FtsConfigurationModule(SchemaChildModule):
         self.manager = None
         super(FtsConfigurationModule, self).__init__(*args, **kwargs)
 
+    @check_precondition
     def get_nodes(self, gid, sid, did, scid):
         """
         Generate the collection node
@@ -66,7 +95,18 @@ class FtsConfigurationModule(SchemaChildModule):
         :param did: database id
         :param scid: schema id
         """
-        yield self.generate_browser_collection_node(scid)
+        collection_count = 0
+
+        count_sql = 'SELECT count(*) FROM( '
+        node_sql = render_template("/".join([self.template_path, 'nodes.sql']),
+                                   scid=scid)
+        count_sql += node_sql + ' ) AS collection_count'
+
+        status, rset = self.conn.execute_scalar(count_sql)
+        if status:
+            collection_count = rset
+
+        yield self.generate_browser_collection_node(scid, collection_count)
 
     @property
     def node_inode(self):
@@ -216,33 +256,6 @@ class FtsConfigurationView(PGChildNodeView):
             200, {'Content-Type': 'application/x-javascript'}
         )
 
-    def check_precondition(f):
-        """
-        This function will behave as a decorator which will checks
-        database connection before running view, it will also attaches
-        manager,conn & template_path properties to self
-        """
-
-        @wraps(f)
-        def wrap(*args, **kwargs):
-            # Here args[0] will hold self & kwargs will hold gid,sid,did
-            self = args[0]
-            self.manager = get_driver(PG_DEFAULT_DRIVER).connection_manager(
-                kwargs['sid'])
-            self.conn = self.manager.connection(did=kwargs['did'])
-            # If DB not connected then return error to browser
-            if not self.conn.connected():
-                return precondition_required(
-                    _("Connection to the server has been lost!")
-                )
-            # we will set template path for sql scripts depending upon server version
-            ver = self.manager.version
-            if ver >= 90100:
-                self.template_path = 'fts_configuration/sql/9.1_plus'
-            return f(*args, **kwargs)
-
-        return wrap
-
     @check_precondition
     def list(self, gid, sid, did, scid):
         """
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
index b7dea08..10fbe18 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_dictionaries/__init__.py
@@ -26,6 +26,34 @@ from pgadmin.utils.driver import get_driver
 from config import PG_DEFAULT_DRIVER
 
 
+def check_precondition(f):
+    """
+    This function will behave as a decorator which will checks
+    database connection before running view, it will also attaches
+    manager,conn & template_path properties to self
+    """
+
+    @wraps(f)
+    def wrap(*args, **kwargs):
+        # Here args[0] will hold self & kwargs will hold gid,sid,did
+        self = args[0]
+        self.manager = get_driver(PG_DEFAULT_DRIVER).connection_manager(
+            kwargs['sid'])
+        self.conn = self.manager.connection(did=kwargs['did'])
+        # If DB not connected then return error to browser
+        if not self.conn.connected():
+            return precondition_required(
+                _("Connection to the server has been lost!")
+            )
+        # we will set template path for sql scripts depending upon server version
+        ver = self.manager.version
+        if ver >= 90100:
+            self.template_path = 'fts_dictionary/sql/9.1_plus'
+        return f(*args, **kwargs)
+
+    return wrap
+
+
 class FtsDictionaryModule(SchemaChildModule):
     """
      class FtsDictionaryModule(SchemaChildModule)
@@ -57,6 +85,7 @@ class FtsDictionaryModule(SchemaChildModule):
         self.manager = None
         super(FtsDictionaryModule, self).__init__(*args, **kwargs)
 
+    @check_precondition
     def get_nodes(self, gid, sid, did, scid):
         """
         Generate the collection node
@@ -65,7 +94,18 @@ class FtsDictionaryModule(SchemaChildModule):
         :param did: database id
         :param scid: schema id
         """
-        yield self.generate_browser_collection_node(scid)
+        collection_count = 0
+
+        count_sql = 'SELECT count(*) FROM( '
+        node_sql = render_template("/".join([self.template_path, 'nodes.sql']),
+                                   scid=scid)
+        count_sql += node_sql + ' ) AS collection_count'
+
+        status, rset = self.conn.execute_scalar(count_sql)
+        if status:
+            collection_count = rset
+
+        yield self.generate_browser_collection_node(scid, collection_count)
 
     @property
     def node_inode(self):
@@ -208,33 +248,6 @@ class FtsDictionaryView(PGChildNodeView):
             200, {'Content-Type': 'application/x-javascript'}
         )
 
-    def check_precondition(f):
-        """
-        This function will behave as a decorator which will checks
-        database connection before running view, it will also attaches
-        manager,conn & template_path properties to self
-        """
-
-        @wraps(f)
-        def wrap(*args, **kwargs):
-            # Here args[0] will hold self & kwargs will hold gid,sid,did
-            self = args[0]
-            self.manager = get_driver(PG_DEFAULT_DRIVER).connection_manager(
-                kwargs['sid'])
-            self.conn = self.manager.connection(did=kwargs['did'])
-            # If DB not connected then return error to browser
-            if not self.conn.connected():
-                return precondition_required(
-                    _("Connection to the server has been lost!")
-                )
-            # we will set template path for sql scripts depending upon server version
-            ver = self.manager.version
-            if ver >= 90100:
-                self.template_path = 'fts_dictionary/sql/9.1_plus'
-            return f(*args, **kwargs)
-
-        return wrap
-
     def tokenize_options(self, option_value):
         """
         This function will tokenize the string stored in database
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/__init__.py
index cd31922..ca01980 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_parser/__init__.py
@@ -25,6 +25,35 @@ from pgadmin.utils.driver import get_driver
 from config import PG_DEFAULT_DRIVER
 
 
+def check_precondition(f):
+    """
+    This function will behave as a decorator which will checks
+    database connection before running view, it will also attaches
+    manager,conn & template_path properties to self
+    """
+
+    @wraps(f)
+    def wrap(*args, **kwargs):
+        # Here args[0] will hold self & kwargs will hold gid,sid,did
+        self = args[0]
+        self.manager = get_driver(PG_DEFAULT_DRIVER).connection_manager(
+            kwargs['sid'])
+        self.conn = self.manager.connection(did=kwargs['did'])
+        # If DB not connected then return error to browser
+        if not self.conn.connected():
+            return precondition_required(
+                _(
+                    "Connection to the server has been lost!"
+                )
+            )
+        # we will set template path for sql scripts depending upon server version
+        ver = self.manager.version
+        if ver >= 90100:
+            self.template_path = 'fts_parser/sql/9.1_plus'
+        return f(*args, **kwargs)
+
+    return wrap
+
 class FtsParserModule(SchemaChildModule):
     """
      class FtsParserModule(SchemaChildModule)
@@ -46,6 +75,7 @@ class FtsParserModule(SchemaChildModule):
     NODE_TYPE = 'fts_parser'
     COLLECTION_LABEL = _('FTS Parsers')
 
+    @check_precondition
     def get_nodes(self, gid, sid, did, scid):
         """
         Generate the collection node
@@ -54,7 +84,18 @@ class FtsParserModule(SchemaChildModule):
         :param did: database id
         :param scid: schema id
         """
-        yield self.generate_browser_collection_node(scid)
+        collection_count = 0
+
+        count_sql = 'SELECT count(*) FROM( '
+        node_sql = render_template("/".join([self.template_path, 'nodes.sql']),
+                                   scid=scid)
+        count_sql += node_sql + ' ) AS collection_count'
+
+        status, rset = self.conn.execute_scalar(count_sql)
+        if status:
+            collection_count = rset
+
+        yield self.generate_browser_collection_node(scid, collection_count)
 
     @property
     def node_inode(self):
@@ -206,35 +247,6 @@ class FtsParserView(PGChildNodeView):
         self.manager = None
         super(FtsParserView, self).__init__(**kwargs)
 
-    def check_precondition(f):
-        """
-        This function will behave as a decorator which will checks
-        database connection before running view, it will also attaches
-        manager,conn & template_path properties to self
-        """
-
-        @wraps(f)
-        def wrap(*args, **kwargs):
-            # Here args[0] will hold self & kwargs will hold gid,sid,did
-            self = args[0]
-            self.manager = get_driver(PG_DEFAULT_DRIVER).connection_manager(
-                kwargs['sid'])
-            self.conn = self.manager.connection(did=kwargs['did'])
-            # If DB not connected then return error to browser
-            if not self.conn.connected():
-                return precondition_required(
-                    _(
-                        "Connection to the server has been lost!"
-                    )
-                )
-            # we will set template path for sql scripts depending upon server version
-            ver = self.manager.version
-            if ver >= 90100:
-                self.template_path = 'fts_parser/sql/9.1_plus'
-            return f(*args, **kwargs)
-
-        return wrap
-
     @check_precondition
     def list(self, gid, sid, did, scid):
         sql = render_template(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
index a349197..7974601 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/fts_templates/__init__.py
@@ -25,6 +25,35 @@ from pgadmin.utils.driver import get_driver
 from config import PG_DEFAULT_DRIVER
 
 
+def check_precondition(f):
+    """
+    This function will behave as a decorator which will checks
+    database connection before running view, it will also attaches
+    manager,conn & template_path properties to self
+    """
+
+    @wraps(f)
+    def wrap(*args, **kwargs):
+        # Here args[0] will hold self & kwargs will hold gid,sid,did
+        self = args[0]
+        self.manager = get_driver(PG_DEFAULT_DRIVER).connection_manager(
+            kwargs['sid'])
+        self.conn = self.manager.connection(did=kwargs['did'])
+        # If DB not connected then return error to browser
+        if not self.conn.connected():
+            return precondition_required(
+                gettext(
+                    "Connection to the server has been lost!"
+                )
+            )
+        # we will set template path for sql scripts depending upon server version
+        ver = self.manager.version
+        if ver >= 90100:
+            self.template_path = 'fts_template/sql/9.1_plus'
+        return f(*args, **kwargs)
+
+    return wrap
+
 class FtsTemplateModule(SchemaChildModule):
     """
      class FtsTemplateModule(SchemaChildModule)
@@ -54,6 +83,7 @@ class FtsTemplateModule(SchemaChildModule):
         self.max_ver = None
         super(FtsTemplateModule, self).__init__(*args, **kwargs)
 
+    @check_precondition
     def get_nodes(self, gid, sid, did, scid):
         """
         Generate the collection node
@@ -62,7 +92,18 @@ class FtsTemplateModule(SchemaChildModule):
         :param did: database id
         :param scid: schema id
         """
-        yield self.generate_browser_collection_node(scid)
+        collection_count = 0
+
+        count_sql = 'SELECT count(*) FROM( '
+        node_sql = render_template("/".join([self.template_path, 'nodes.sql']),
+                                   scid=scid)
+        count_sql += node_sql + ' ) AS collection_count'
+
+        status, rset = self.conn.execute_scalar(count_sql)
+        if status:
+            collection_count = rset
+
+        yield self.generate_browser_collection_node(scid, collection_count)
 
     @property
     def node_inode(self):
@@ -195,35 +236,6 @@ class FtsTemplateView(PGChildNodeView):
             200, {'Content-Type': 'application/x-javascript'}
         )
 
-    def check_precondition(f):
-        """
-        This function will behave as a decorator which will checks
-        database connection before running view, it will also attaches
-        manager,conn & template_path properties to self
-        """
-
-        @wraps(f)
-        def wrap(*args, **kwargs):
-            # Here args[0] will hold self & kwargs will hold gid,sid,did
-            self = args[0]
-            self.manager = get_driver(PG_DEFAULT_DRIVER).connection_manager(
-                kwargs['sid'])
-            self.conn = self.manager.connection(did=kwargs['did'])
-            # If DB not connected then return error to browser
-            if not self.conn.connected():
-                return precondition_required(
-                    gettext(
-                        "Connection to the server has been lost!"
-                    )
-                )
-            # we will set template path for sql scripts depending upon server version
-            ver = self.manager.version
-            if ver >= 90100:
-                self.template_path = 'fts_template/sql/9.1_plus'
-            return f(*args, **kwargs)
-
-        return wrap
-
     @check_precondition
     def list(self, gid, sid, did, scid):
         sql = render_template(
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
index ca69cac..28cf5a1 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/functions/__init__.py
@@ -35,6 +35,53 @@ from pgadmin.utils.driver import get_driver
 from config import PG_DEFAULT_DRIVER
 
 
+def check_precondition(f):
+    """
+    Works as a decorator.
+    Checks the database connection status.
+    Attaches the connection object and template path to the class object.
+    """
+
+    @wraps(f)
+    def wrap(*args, **kwargs):
+        self = args[0]
+        driver = get_driver(PG_DEFAULT_DRIVER)
+        self.manager = driver.connection_manager(kwargs['sid'])
+
+        # Get database connection
+        self.conn = self.manager.connection(did=kwargs['did'])
+
+        self.qtIdent = driver.qtIdent
+        self.qtLiteral = driver.qtLiteral
+
+        if not self.conn.connected():
+            return precondition_required(
+                gettext(
+                    "Connection to the server has been lost!"
+                )
+            )
+
+        ver = self.manager.version
+
+        # Set template path for sql scripts depending
+        # on the server version.
+        self.template_path = "/".join([
+            self.node_type
+        ])
+        self.sql_template_path = "/".join([
+            self.template_path,
+            self.manager.server_type,
+            'sql',
+            '9.5_plus' if ver >= 90500 else
+            '9.2_plus' if ver >= 90200 else
+            '9.1_plus'
+        ])
+
+        return f(*args, **kwargs)
+
+    return wrap
+
+
 class FunctionModule(SchemaChildModule):
     """
     class FunctionModule(SchemaChildModule):
@@ -76,11 +123,23 @@ class FunctionModule(SchemaChildModule):
         self.max_ver = None
         self.server_type = None
 
+    @check_precondition
     def get_nodes(self, gid, sid, did, scid):
         """
         Generate Functions collection node.
         """
-        yield self.generate_browser_collection_node(scid)
+        collection_count = 0
+
+        count_sql = 'SELECT count(*) FROM( '
+        node_sql = render_template("/".join([self.sql_template_path, 'node.sql']),
+                                   scid=scid)
+        count_sql += node_sql + ' ) AS collection_count'
+
+        status, rset = self.conn.execute_scalar(count_sql)
+        if status:
+            collection_count = rset
+
+        yield self.generate_browser_collection_node(scid, collection_count)
 
     @property
     def node_inode(self):
@@ -314,52 +373,6 @@ class FunctionView(PGChildNodeView, DataTypeReader):
             200, {'Content-Type': 'application/x-javascript'}
         )
 
-    def check_precondition(f):
-        """
-        Works as a decorator.
-        Checks the database connection status.
-        Attaches the connection object and template path to the class object.
-        """
-
-        @wraps(f)
-        def wrap(*args, **kwargs):
-            self = args[0]
-            driver = get_driver(PG_DEFAULT_DRIVER)
-            self.manager = driver.connection_manager(kwargs['sid'])
-
-            # Get database connection
-            self.conn = self.manager.connection(did=kwargs['did'])
-
-            self.qtIdent = driver.qtIdent
-            self.qtLiteral = driver.qtLiteral
-
-            if not self.conn.connected():
-                return precondition_required(
-                    gettext(
-                        "Connection to the server has been lost!"
-                    )
-                )
-
-            ver = self.manager.version
-
-            # Set template path for sql scripts depending
-            # on the server version.
-            self.template_path = "/".join([
-                self.node_type
-            ])
-            self.sql_template_path = "/".join([
-                self.template_path,
-                self.manager.server_type,
-                'sql',
-                '9.5_plus' if ver >= 90500 else
-                '9.2_plus' if ver >= 90200 else
-                '9.1_plus'
-            ])
-
-            return f(*args, **kwargs)
-
-        return wrap
-
     @check_precondition
     def list(self, gid, sid, did, scid):
         """
@@ -1471,11 +1484,23 @@ class ProcedureModule(SchemaChildModule):
         self.max_ver = None
         self.server_type = ['ppas']
 
+    @check_precondition
     def get_nodes(self, gid, sid, did, scid):
         """
         Generate Procedures collection node.
         """
-        yield self.generate_browser_collection_node(scid)
+        collection_count = 0
+
+        count_sql = 'SELECT count(*) FROM( '
+        node_sql = render_template("/".join([self.sql_template_path, 'node.sql']),
+                                   scid=scid)
+        count_sql += node_sql + ' ) AS collection_count'
+
+        status, rset = self.conn.execute_scalar(count_sql)
+        if status:
+            collection_count = rset
+
+        yield self.generate_browser_collection_node(scid, collection_count)
 
     @property
     def node_inode(self):
@@ -1581,11 +1606,23 @@ class TriggerFunctionModule(SchemaChildModule):
         self.min_ver = 90100
         self.max_ver = None
 
+    @check_precondition
     def get_nodes(self, gid, sid, did, scid):
         """
         Generate Trigger function collection node.
         """
-        yield self.generate_browser_collection_node(scid)
+        collection_count = 0
+
+        count_sql = 'SELECT count(*) FROM( '
+        node_sql = render_template("/".join([self.sql_template_path, 'node.sql']),
+                                   scid=scid)
+        count_sql += node_sql + ' ) AS collection_count'
+
+        status, rset = self.conn.execute_scalar(count_sql)
+        if status:
+            collection_count = rset
+
+        yield self.generate_browser_collection_node(scid, collection_count)
 
     @property
     def node_inode(self):
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
index 29be4fd..264a925 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/sequences/__init__.py
@@ -28,6 +28,40 @@ from pgadmin.utils.driver import get_driver
 from config import PG_DEFAULT_DRIVER
 
 
+def check_precondition(action=None):
+    """
+    This function will behave as a decorator which will checks
+    database connection before running view, it will also attaches
+    manager,conn & template_path properties to self
+    """
+
+    def wrap(f):
+        @wraps(f)
+        def wrapped(self, *args, **kwargs):
+
+            self.manager = get_driver(PG_DEFAULT_DRIVER).connection_manager(kwargs['sid'])
+            if action and action in ["drop"]:
+                self.conn = self.manager.connection()
+            elif 'did' in kwargs:
+                self.conn = self.manager.connection(did=kwargs['did'])
+            else:
+                self.conn = self.manager.connection()
+            # If DB not connected then return error to browser
+            if not self.conn.connected():
+                return precondition_required(
+                    _(
+                        "Connection to the server has been lost!"
+                    )
+                )
+
+            self.template_path = 'sequence/sql/9.1_plus'
+            self.acl = ['r', 'w', 'U']
+            return f(self, *args, **kwargs)
+
+        return wrapped
+
+    return wrap
+
 class SequenceModule(SchemaChildModule):
     """
     class SequenceModule(CollectionNodeModule)
@@ -59,11 +93,22 @@ class SequenceModule(SchemaChildModule):
         self.min_ver = None
         self.max_ver = None
 
+    @check_precondition(action='nodes')
     def get_nodes(self, gid, sid, did, scid):
         """
         Generate the sequence node
         """
-        yield self.generate_browser_collection_node(scid)
+        collection_count = 0
+
+        count_sql = 'SELECT count(*) FROM( '
+        node_sql = render_template("/".join([self.template_path, 'nodes.sql']), scid=scid)
+        count_sql += node_sql + ' ) AS collection_count'
+
+        status, rset = self.conn.execute_scalar(count_sql)
+        if status:
+            collection_count = rset
+
+        yield self.generate_browser_collection_node(scid, collection_count)
 
     @property
     def script_load(self):
@@ -127,40 +172,6 @@ class SequenceView(PGChildNodeView):
             200, {'Content-Type': 'application/x-javascript'}
         )
 
-    def check_precondition(action=None):
-        """
-        This function will behave as a decorator which will checks
-        database connection before running view, it will also attaches
-        manager,conn & template_path properties to self
-        """
-
-        def wrap(f):
-            @wraps(f)
-            def wrapped(self, *args, **kwargs):
-
-                self.manager = get_driver(PG_DEFAULT_DRIVER).connection_manager(kwargs['sid'])
-                if action and action in ["drop"]:
-                    self.conn = self.manager.connection()
-                elif 'did' in kwargs:
-                    self.conn = self.manager.connection(did=kwargs['did'])
-                else:
-                    self.conn = self.manager.connection()
-                # If DB not connected then return error to browser
-                if not self.conn.connected():
-                    return precondition_required(
-                        _(
-                            "Connection to the server has been lost!"
-                        )
-                    )
-
-                self.template_path = 'sequence/sql/9.1_plus'
-                self.acl = ['r', 'w', 'U']
-                return f(self, *args, **kwargs)
-
-            return wrapped
-
-        return wrap
-
     @check_precondition(action='list')
     def list(self, gid, sid, did, scid):
         """
